<?php
error_reporting(E_ERROR | E_PARSE);
require_once '../connect.php';

if(isset($_POST['id_produto']))
{

	$id_produto = $_POST['id_produto'];

	$consulta = "select	id_tipo_saida_padrao, id_unidade_medida, id_seg_unidade_medida, ds_cfop, nr_perc_aliq_ipi, nr_perc_aliq_icms, ifnull(p.vl_preco_venda, 0) as vl_preco_venda
from  	erpc_produtos p
join	erpc_tipos_movimentacao m on p.id_tipo_saida_padrao = m.id where p.id=?";

	$stmt = mysqli_prepare($conexao, $consulta);
	mysqli_stmt_bind_param($stmt, 'i', $id_produto); // s para varchar, i para number

	mysqli_stmt_execute($stmt);
	$result = mysqli_stmt_get_result($stmt);

  /*
	if($result -> num_rows > 0){
		$row = mysqli_fetch_array($result, MYSQLI_NUM); // MYSQLI_ASSOC com nome dos campos, case sensitive
		$str_result = $row[0] . ";" . $row[1] . ";" . $row[2] . ";" . $row[3] . ";" . $row[4] . ";" . $row[5] . ";" . $row[6];
	}
	*/
	$str_result='';
	$registros = $result -> num_rows; // retorna somente se houve registros no select
	// echo count($registros);

	if($registros == 0){
		$str_result = ';;;;;;;';
	}else{
		$row = mysqli_fetch_array($result, MYSQLI_NUM); // MYSQLI_ASSOC com nome dos campos, case sensitive
		for ($i=0; $i < count($row) ; $i++) {
			# code...
			$str_result .= $row[$i] . ';';
		}
	}

	mysqli_stmt_close($stmt);

	echo $str_result . "";
}
?>
